/**
  ******************************************************************************
  * @file    GPIO/GPIO_IOToggle/Inc/main.h
  * @author  MCD Application Team
  * @version V1.2.0
  * @date    05-Dec-2014
  * @brief   Header for main.c module
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; COPYRIGHT(c) 2014 STMicroelectronics</center></h2>
  *
  * Redistribution and use in source and binary forms, with or without modification,
  * are permitted provided that the following conditions are met:
  *   1. Redistributions of source code must retain the above copyright notice,
  *      this list of conditions and the following disclaimer.
  *   2. Redistributions in binary form must reproduce the above copyright notice,
  *      this list of conditions and the following disclaimer in the documentation
  *      and/or other materials provided with the distribution.
  *   3. Neither the name of STMicroelectronics nor the names of its contributors
  *      may be used to endorse or promote products derived from this software
  *      without specific prior written permission.
  *
  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
  * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
  * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
  * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
  * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
  * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
  * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
  * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
  * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
  * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifndef STM32F030x6
#define STM32F030x6
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32f0xx.h"
#include "gpio.h"
#include "usart.h"
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <stdint.h>
/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/
#define GPIO_PIN_0                 ((uint32_t)0x00000001)
#define GPIO_PIN_1                 ((uint32_t)0x00000002)
#define GPIO_PIN_2                 ((uint32_t)0x00000004)
#define GPIO_PIN_3                 ((uint32_t)0x00000008)
#define GPIO_PIN_4                 ((uint32_t)0x00000010)
#define GPIO_PIN_5                 ((uint32_t)0x00000020)
#define GPIO_PIN_6                 ((uint32_t)0x00000040)
#define GPIO_PIN_7                 ((uint32_t)0x00000080)
#define GPIO_PIN_8                 ((uint32_t)0x00000100)
#define GPIO_PIN_9                 ((uint32_t)0x00000200)
#define GPIO_PIN_10                ((uint32_t)0x00000400)
#define GPIO_PIN_11                ((uint32_t)0x00000800)
#define GPIO_PIN_12                ((uint32_t)0x00001000)
#define GPIO_PIN_13                ((uint32_t)0x00002000)
#define GPIO_PIN_14                ((uint32_t)0x00004000)
#define GPIO_PIN_15                ((uint32_t)0x00008000)
#define GPIO_PIN_SET               (1)
#define GPIO_PIN_RESET             (0)

/* Exported macro ------------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */

#endif /* __MAIN_H */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
