#ifndef __CLOCK_H
#define __CLOCK_H
#include "stm32f0xx.h"

#define _REG_BIT(base, bit) (((base) << 5) + (bit))

namespace clock{

	//The following isn't pretty, if you have a better idea then tell me

	enum periphClock {
		/* AHB peripherals */
		periphDMA		= _REG_BIT(0x14, 0),
		periphSRAM	  = _REG_BIT(0x14, 2),
		periphFLTIF	= _REG_BIT(0x14, 4),
		periphCRC		= _REG_BIT(0x14, 6),
		periphGPIOA	= _REG_BIT(0x14, 17),
		periphGPIOB	= _REG_BIT(0x14, 18),
		periphGPIOC	= _REG_BIT(0x14, 19),
		periphGPIOD	= _REG_BIT(0x14, 20),
		periphGPIOE	= _REG_BIT(0x14, 21),
		periphGPIOF	= _REG_BIT(0x14, 22),
		periphTSC		= _REG_BIT(0x14, 24),

		/* APB2 peripherals */
		periphSYSCFG_COMP	= _REG_BIT(0x18, 0),
		periphADC		= _REG_BIT(0x18, 9),
		periphADC1	  = _REG_BIT(0x18, 9), /* Compatibility alias */
		periphTIM1	  = _REG_BIT(0x18, 11),
		periphSPI1	  = _REG_BIT(0x18, 12),
		periphUSART1	= _REG_BIT(0x18, 14),
		periphTIM15	= _REG_BIT(0x18, 16),
		periphTIM16	= _REG_BIT(0x18, 17),
		periphTIM17	= _REG_BIT(0x18, 18),
		periphDBGMCU	= _REG_BIT(0x18, 22),

		/* APB1 peripherals */
		periphTIM2	  = _REG_BIT(0x1C, 0),
		periphTIM3	  = _REG_BIT(0x1C, 1),
		periphTIM6	  = _REG_BIT(0x1C, 4),
		periphTIM7	  = _REG_BIT(0x1C, 5),
		periphTIM14	= _REG_BIT(0x1C, 8),
		periphWWDG	  = _REG_BIT(0x1C, 11),
		periphSPI2	  = _REG_BIT(0x1C, 14),
		periphUSART2	= _REG_BIT(0x1C, 17),
		periphUSART3	= _REG_BIT(0x1C, 18),
		periphUSART4	= _REG_BIT(0x1C, 19),
		periphI2C1	  = _REG_BIT(0x1C, 21),
		periphI2C2	  = _REG_BIT(0x1C, 22),
		periphUSB		= _REG_BIT(0x1C, 23),
		periphCAN		= _REG_BIT(0x1C, 25),
		periphCRS		= _REG_BIT(0x1C, 27),
		periphPWR		= _REG_BIT(0x1C, 28),
		periphDAC		= _REG_BIT(0x1C, 29),
		periphDAC1	  = _REG_BIT(0x1C, 29), /* Compatibility alias */
		periphCEC		= _REG_BIT(0x1C, 30),

		/* Advanced peripherals */
		periphRTC		= _REG_BIT(0x20, 15),/* BDCR[15] */
	};
	void enableClock(enum periphClock clken);
	void disableClock(enum periphClock clken);
}

#endif
